export const usePlatformType = () => {
  const userAgent = navigator.userAgent.toLowerCase();
  
  // 判断是否为移动设备
  const isMobile = /mobile|android|iphone|ipad|ipod|windows phone/i.test(userAgent);
  
  // 判断是否为 APP 环境（这里假设 APP 环境会在 userAgent 中包含特定标识）
  const isApp = /myapp|appname/i.test(userAgent); // 请根据实际 APP 的标识修改

  const isWechat = /micromessenger/i.test(userAgent);
  
  return {
    isMobile,
    isApp,
    isPC: !isMobile,
    isWechat
  };
}